### Hierarchy

- WinConditionSimple
  - WinConditionOn

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source
- onTile
- qualifier
- tile

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- _isSatisfied
- cellsThatMatchTile
- isSatisfied
- toSourceString
- toString

## Constructors

### constructor

- new WinConditionOn(source: IGameCode, qualifierEnum: WIN_QUALIFIER, tile: IGameTile, onTile: IGameTile): WinConditionOn

- Overrides WinConditionSimple.constructor

  - Defined in models/winCondition.ts:56

  #### Parameters

  - ##### source: IGameCode

  - ##### qualifierEnum: WIN_QUALIFIER

  - ##### tile: IGameTile

  - ##### onTile: IGameTile

  #### Returns WinConditionOn

## Properties

### __coverageCount

__coverageCount: Optional<number>

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

### onTile

onTile: IGameTile

- Defined in models/winCondition.ts:56

### qualifier

qualifier: WIN_QUALIFIER

Inherited from WinConditionSimple.qualifier

- Defined in models/winCondition.ts:13

### tile

tile: IGameTile

Inherited from WinConditionSimple.tile

- Defined in models/winCondition.ts:14

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### Protected _isSatisfied

- _isSatisfied(cells: Iterable<Cell>): boolean

- Overrides WinConditionSimple._isSatisfied

  - Defined in models/winCondition.ts:63

  #### Parameters

  - ##### cells: Iterable<Cell>

  #### Returns boolean

### cellsThatMatchTile

- cellsThatMatchTile(cells: Iterable<Cell>, tile: IGameTile): Cell[]

- Inherited from WinConditionSimple.cellsThatMatchTile

  - Defined in models/winCondition.ts:25

  #### Parameters

  - ##### cells: Iterable<Cell>

  - ##### tile: IGameTile

  #### Returns Cell[]

### isSatisfied

- isSatisfied(cells: Iterable<Cell>): boolean

- Inherited from WinConditionSimple.isSatisfied

  - Defined in models/winCondition.ts:29

  #### Parameters

  - ##### cells: Iterable<Cell>

  #### Returns boolean

### toSourceString

- toSourceString(): string

- Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

Generated using TypeDoc